
/* fake gtk.h to compile cellwriter without modifications 

Copyright (C) 2009 Roberto Navone <ron@object65.it>
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
*/

#include <stdio.h>

#define TRUE  1
#define FALSE 0

typedef char gunichar2;

typedef struct gTimer
{
  unsigned long tctr;
} GTimer;

typedef unsigned long gulong;

typedef int gsize;

#define G_MAXFLOAT (1E+37)

#define G_LOG_LEVEL_DEBUG (1 << 7)

#ifndef GTKMAIN

extern void *g_malloc(int nBytes);

extern void *g_realloc(void *ptr, int nBytes);

extern void g_free(void *ptr);

extern void *g_malloc0(int nBytes);

extern GTimer *g_timer_new();

extern void g_timer_start(GTimer *timer);

extern int g_timer_elapsed(GTimer *timer, gulong *microsec);

extern void g_message(const char *format, ...);

extern void g_warning(const char *format, ...);

extern void g_debug(const char *format, ...);


#endif

