
/* fake main.c to compile cellwriter without modifications 

Copyright (C) 2009 Roberto Navone <ron@object65.it>
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
*/

#include <fat.h>
#include <string.h>
#include <stdarg.h>

#include "gtk.h"

int profile_line, log_level = 3;

static FILE *pHandle = NULL;
static const unsigned char *pPtr;
static unsigned long lPtr;
static unsigned long nbread;
static char *logfilename = NULL;

/*
 * sprintf to static pre-allocated buffer
 */
char *va(const char *fmt, ...)
{
  static char buff[100];
	va_list vavar;

	va_start(vavar, fmt);
	vsnprintf(buff, 100, fmt, vavar);
	va_end(vavar);
  
	return (buff);
}

/*
 * Open profile for reading
 */
int profile_open_read(unsigned char *smpData, unsigned long smpDataLen)
{
  pPtr = smpData;
  lPtr = smpDataLen;
  
  nbread = 0;
  
  return (TRUE);
}

/*
 * Open profile for wrinting
 */
int profile_open_write(char *filename)
{
  pHandle = fopen(filename, "wb");
  
  return (TRUE);
}

/*
 * Close profile
 */
void profile_close()
{
  if (pHandle != NULL)
  {
    fclose(pHandle);
    
    pHandle = NULL;
  }
}

/*
 * Write requested sring to profile
 */
int profile_write(const char *str)
{
  return (fwrite(str, 1, strlen(str), pHandle));
}

/*
 * Read a token from profile
 */
const char *profile_read(void)
{
  static unsigned char token[32];
  int lToken = 0;
  int inToken = FALSE;
  const unsigned char *p = NULL;
  
  while (nbread < lPtr)
  {
    if (*pPtr == ' '  ||  *pPtr == 0x0A)
    {
      if (inToken)
      {
        token[lToken] = 0;
        //printf("TKN %s\n", token);
        return ((const char *)token);
      }
      
      if (*pPtr == 0x0A)
      {        
        pPtr++;
        nbread++;
        
        return ("");
      }
    }
    else
    {
      if (!inToken)
      {
        inToken = TRUE;
        
        p = pPtr;
      }
      
      token[lToken++] = *pPtr;
    }
        
    pPtr++;
    nbread++;
  }
  
  return ("");
}

/*
 * Check if profile contains more samples
 */
int profile_more_samples()
{
  return (strcmp(profile_read(), "sample") == 0);
}

int profile_sync_int(int *var)
{
  return (0);
}

int profile_sync_short(int *var)
{
  return (0);
}

/*
 * Set filename for logs
 */
void set_logfilename(char *filename)
{
  logfilename = filename;
}

/*
 * Print on log file
 */
void log_print(const char *fmt, ...)
{
  /*
  char buff[100];
  
	va_list vavar;

	va_start(vavar, fmt);
	vsnprintf(buff, 100, fmt, vavar);
	va_end(vavar);
  
  if (logfilename != NULL)
  {
    FILE *lHandle = fopen(logfilename, "ab");

    fwrite(buff, 1, strlen(buff), lHandle);
    
    fclose(lHandle);
  }
  
  printf(buff);
  */
}
