
/* fake gtk.c to compile cellwriter without modifications 

Copyright (C) 2009 Roberto Navone <ron@object65.it>
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
*/

#include <stdio.h>
#include <malloc.h>
#include <string.h>
#include <stdarg.h>

#define GTKMAIN
#include "gtk.h"

extern unsigned long tctr;

void *g_malloc(int nBytes)
{
  return (malloc(nBytes));
}

void *g_realloc(void *ptr, int nBytes)
{
  return (realloc(ptr, nBytes));
}

void g_free(void *ptr)
{
  free(ptr);
}

void *g_malloc0(int nBytes)
{
  void *p = malloc(nBytes);
  
  memset(p, 0, nBytes);
  
  return (p);
}

GTimer *g_timer_new()
{
  return ((GTimer *)malloc(sizeof(GTimer)));
}

void g_timer_start(GTimer *timer)
{
  timer->tctr = tctr;
}

int g_timer_elapsed(GTimer *timer, gulong *microsec)
{
  *microsec = ((tctr - timer->tctr) * 10000) / 6;     // tctr in 1/60th, microsec in 1/100000
  
  return (FALSE);
}

void g_message(const char *fmt, ...)
{
  char msgbuff[100];
	va_list vavar;

	va_start(vavar, fmt);
	vsnprintf(msgbuff, 100, fmt, vavar);
	va_end(vavar);
  
//  printf("MSG: %s\n", msgbuff);
}

void g_warning(const char *fmt, ...)
{
  char msgbuff[100];
	va_list vavar;

	va_start(vavar, fmt);
	vsnprintf(msgbuff, 100, fmt, vavar);
	va_end(vavar);
  
//  printf("WNG: %s\n", msgbuff);
}

void g_debug(const char *fmt, ...)
{
  char msgbuff[100];
	va_list vavar;

	va_start(vavar, fmt);
	vsnprintf(msgbuff, 100, fmt, vavar);
	va_end(vavar);
  
//  printf("DBG: %s\n", msgbuff);
}






